Bug 112523 - Calc function names in the Polish language version.
Summary: Calc function names in the Polish language version.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3 all versions
Hardware: All All
: medium normal
Assignee: Eike Rathke
QA Contact:
URL:
Whiteboard: target:6.0.0 target:5.4.3 target:5.3.7
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-20 13:05 UTC by Jerzy Moruś
Modified: 2017-09-29 10:56 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Illustration of the problem presented. (8.52 KB, image/jpeg)
2017-09-20 13:05 UTC, Jerzy Moruś
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jerzy Moruś 2017-09-20 13:05:18 UTC
Created attachment 136400 [details]
Illustration of the problem presented.

There is a problem with the features approved with the displayed hints.
In the Polish version of CALC, the function names also contain the letters of the Polish alphabet and have the following structure:
Name [.name1 [.name2 [...]]]
When typing a function name, a prompt appears to prompt you to select a function and press ENTER to confirm it.
When entering function names by capitalize  there is no problem with approving the selected function.
When function names are typed in lowercase letters and one of the letters in the "Name" is entered in the Polish alphabet, then the selection of the predictive function gives the correct effect only if the selected function has only a part „Name”. When a function name is selected, it consists of at least one "name1" element the effect is to insert a distorted function name in which the letter of the Polish alphabet is replaced by a Latin equivalent. However, the function name is treated as plain text.

The illustration shows the Polish equivalents of the IF, IFERROR and IFNA functions after the lowercase letter "ż" has been entered. The name in green will be entered correctly. Name marked in red - wrong.
If the entry would start with only the letters "je", each function name would be inserted correctly.
Comment 1 Eike Rathke 2017-09-27 16:46:04 UTC
Investigating.
Comment 2 Commit Notification 2017-09-27 17:00:16 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=86910087fa41956aad6a22943bfbeb158e205dcd

Resolves: tdf#112523 do not use anything Ascii in UI context

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Eike Rathke 2017-09-27 17:02:54 UTC
Pending review
https://gerrit.libreoffice.org/42871 for 5-4
https://gerrit.libreoffice.org/42872 for 5-3
Comment 4 Commit Notification 2017-09-28 12:32:05 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8d6dd32d58494cc21c32bc3c4798fdd4593bde08&h=libreoffice-5-4

Resolves: tdf#112523 do not use anything Ascii in UI context

It will be available in 5.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-09-29 10:56:42 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f38e9f1d194e23e455c69e9417185986daeccc39&h=libreoffice-5-3

Resolves: tdf#112523 do not use anything Ascii in UI context

It will be available in 5.3.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.